<template>
  <div class='advantage-app container'>
    <h2 class='base-title'>{{ $t('title') }}</h2>
    <p class='advantage-app__description advantage-app__description--title'>
      {{ $t('subtitle') }}
    </p>
    <div class='advantage-app__list'>
      <div class='advantage-app__item'>
        <div class='advantage-app__left advantage-app__img'>
          <img src='../../assets/img/multi-wallet.svg' alt='multi-wallet' width='567' height='463'>
        </div>
        <div class='advantage-app__right'>
          <p class='advantage-app__name'>{{ $t('wallet') }}</p>
          <p class='advantage-app__description advantage-app__description--item'>
            {{ $t('walletText') }}
          </p>
        </div>
      </div>
      <div class='advantage-app__item'>
        <div class='advantage-app__left'>
          <p class='advantage-app__name'>{{ $t('swapOrTrade') }}</p>
          <p class='advantage-app__description advantage-app__description--item'>
            {{ $t('swapOrTradeText') }}
          </p>
        </div>
        <div class='advantage-app__right advantage-app__img'>
          <img src='../../assets/img/swap-or-trade.svg' alt='multi-wallet' width='567' height='463'>
        </div>
      </div>
      <div class='advantage-app__item'>
        <div class='advantage-app__left advantage-app__img'>
          <img src='../../assets/img/stake-and-earn.svg' alt='stake-and-earn' width='567' height='463'>
        </div>
        <div class='advantage-app__right'>
          <p class='advantage-app__name'>{{ $t('StakeAndEarn') }}</p>
          <p class='advantage-app__description advantage-app__description--item'>
            {{ $t('StakeAndEarnText') }}
          </p>
        </div>
      </div>
      <div class='advantage-app__item'>
        <div class='advantage-app__left'>
          <p class='advantage-app__name'>{{ $t('TbccPay') }}</p>
          <p class='advantage-app__description advantage-app__description--item'>
            {{ $t('TbccPayText') }}
          </p>
        </div>
        <div class='advantage-app__right advantage-app__img'>
          <img src='../../assets/img/tbcc-pay.svg' alt='tbcc-pay' width='567' height='463'>
        </div>
      </div>
      <div class='advantage-app__item'>
        <div class='advantage-app__left advantage-app__img'>
          <img src='../../assets/img/invest-room.svg' alt='stake-and-earn' width='567' height='463'>
        </div>
        <div class='advantage-app__right'>
          <p class='advantage-app__name'>{{ $t('InvestRoom') }}</p>
          <p class='advantage-app__description advantage-app__description--item'>
            {{ $t('InvestRoomText') }}
          </p>
        </div>
      </div>
    </div>
    <a v-show=' os === "Mac OS" ||  os === "iOS"' href='https://apps.apple.com/us/app/tbcc/id1592692399' target='_blank'>
      <base-button shaded>
        {{ $t('appBtn') }}
      </base-button>
    </a>
    <a v-show=' os !== "Mac OS" &&  os !== "iOS"' href='https://play.google.com/store/apps/details?id=com.cloud.tbcc.app&hl=ru&gl=US' target='_blank'>
      <base-button shaded>
        {{ $t('appBtn') }}
      </base-button>
    </a>
  </div>
</template>

<script>
import BaseButton from '../base/BaseButton'
export default {
  components: { BaseButton },

  data() {
    return {
      os: '',
    }
  },

  mounted() {
    function getOS() {
      const userAgent = window.navigator.userAgent;
      const platform = window.navigator.platform;
      const macosPlatforms = ['Macintosh', 'MacIntel', 'MacPPC', 'Mac68K', 'darwin'];
      const windowsPlatforms = ['Win32', 'Win64', 'Windows', 'WinCE'];
      const iosPlatforms = ['iPhone', 'iPad', 'iPod'];
      let os = null;

      if (macosPlatforms.includes(platform)) {
        os = 'Mac OS';
      } else if (iosPlatforms.includes(platform)) {
        os = 'iOS';
      } else if (windowsPlatforms.includes(platform)) {
        os = 'Windows';
      } else if (/Android/.test(userAgent)) {
        os = 'Android';
      } else if (!os && /Linux/.test(platform)) {
        os = 'Linux';
      }

      return os;
    }

    this.os = getOS();
  }
}
</script>

<i18n>
{
  "en": {
    "title": "Everything you need is in TBCC App",
    "subtitle": "Save time and energy required to switch between various applications. Get five crypto tools in one App for effective crypto-asset management.",
    "wallet": "Multi Wallet App",
    "walletText": "TBCC Wallet allows users from all over the world to do various operations with their crypto assets. Save money, trade it on different exchanges, transmit it to other wallets, and get tokens from other users in seconds by your smartphone.",
    "swapOrTrade": "Swap or Trade Assets",
    "swapOrTradeText": "TBCC is a centralised Exchange with the largest liquidity pool and its own cryptocurrency, the TBCC token. Exchange provides over 1000 currency pairs for trading with low fees and fast transactions without passing KYC up to 2BTC.",
    "StakeAndEarn": "Stake and Earn",
    "StakeAndEarnText": "Earn crypto with the App in clicks. Lock up some of your cryptos in the wallet and get rewards. Start staking with just 1 TBCC or lock 100 and earn up to 0,6 TBCC per day. Staking makes earning easy.",
    "TbccPay": "TBCC Pay",
    "TbccPayText": "TBCC Pay is a contactless, borderless and secure cryptocurrency payment technology. Join the new solution to pay for familiar goods and services with TBCC tokens in seconds by smartphone.",
    "InvestRoom": "TBCC Invest Room",
    "InvestRoomText": "Dollar-Cost Averaging is a popular investment strategy. It helps to invest money in equal portions, at regular intervals, regardless of the ups or downs in the market, and get more profit.",
    "appBtn": "Download App"
  },
  "ch": {
    "title": "您需要的一切都在TBCC应用程序中",
    "subtitle": "节省在各种应用程序之间切换所需的时间和精力。在一个应用程序中获得五个加密工具，以便有效地管理加密资产",
    "wallet": "多种钱包应用",
    "walletText": "TBCC钱包允许世界各地的用户用他们的加密货币资产进行各种操作。存钱，在不同的交易所交易，传送到其他钱包，并通过您的智能手机在几秒钟内从其他用户那里获得代币",
    "swapOrTrade": "掉期或贸易资产",
    "swapOrTradeText": "TBCC是一个集中式的交易所，拥有最大的流动性池和自己的加密货币- TBCC代币。交易所提供超过1000种货币对的交易，费用低，交易快，无需通过KYC，最高可达2BTC。",
    "StakeAndEarn": "权益质押和收入",
    "StakeAndEarnText": "通过该应用程序在点击中赚取加密货币。把您的一些加密货币锁在钱包里并获得奖励。只需用1TBCC开始权益质押，或锁定100个，每天最多可赚取0.6TBCC。赌注使挣钱变得容易。",
    "TbccPay": "TBCC 支付",
    "TbccPayText": "TBCC Pay是一种无接触、无边界和安全的加密货币支付技术。加入这个新的解决方案，用TBCC代币在几秒钟内通过智能手机支付熟悉的商品和服务",
    "InvestRoom": "TBCC投资室",
    "InvestRoomText": "美元成本平均法是一种流行的投资策略。它有助于在固定的时间内，以相等的比例投资资金，无论市场的涨跌，都能获得更多的利润",
    "appBtn": "下载应用程序"
  },
  "tur": {
    "title": "Everything you need is in TBCC App",
    "subtitle": "Save time and energy required to switch between various applications. Get five crypto tools in one App for effective crypto-asset management.",
    "wallet": "Multi Wallet App",
    "walletText": "TBCC Wallet allows users from all over the world to do various operations with their crypto assets. Save money, trade it on different exchanges, transmit it to other wallets, and get tokens from other users in seconds by your smartphone.",
    "swapOrTrade": "Swap or Trade Assets",
    "swapOrTradeText": "TBCC is a centralised Exchange with the largest liquidity pool and its own cryptocurrency, the TBCC token. Exchange provides over 1000 currency pairs for trading with low fees and fast transactions without passing KYC up to 2BTC.",
    "StakeAndEarn": "Stake and Earn",
    "StakeAndEarnText": "Earn crypto with the App in clicks. Lock up some of your cryptos in the wallet and get rewards. Start staking with just 1 TBCC or lock 100 and earn up to 0,6 TBCC per day. Staking makes earning easy.",
    "TbccPay": "TBCC Pay",
    "TbccPayText": "TBCC Pay is a contactless, borderless and secure cryptocurrency payment technology. Join the new solution to pay for familiar goods and services with TBCC tokens in seconds by smartphone.",
    "InvestRoom": "TBCC Invest Room",
    "InvestRoomText": "Dollar-Cost Averaging is a popular investment strategy. It helps to invest money in equal portions, at regular intervals, regardless of the ups or downs in the market, and get more profit.",
    "appBtn": "Download App"
  }
}
</i18n>


<style lang='scss' scoped>
.base-title {
  margin: 0 0 25px;
  font-size: 36px;

  @media (max-width: 767px) {
    max-width: 324px;
    text-align: center;
  }

  @media (min-width: 1024px) {
    font-size: 45px;
  }

  @media (min-width: 1200px) {
    font-size: 48px;
  }
}

.advantage-app {
  display: flex;
  flex-direction: column;
  align-items: center;

  button {
    @media (max-width: 767px) {
      min-height: 56px;
    }
  }

  &__description {
    color: #6983AB;
    font-size: 16px;
    line-height: 24px;

    @media (min-width: 1024px) {
      font-size: 18px;
      line-height: 28px;
    }

    &--title {
      max-width: 630px;
      text-align: center;
      margin: 0 ;

      @media (max-width: 1023px) {
        margin-bottom: 20px;
      }

      @media (max-width: 767px) {
        max-width: 299px;
        text-align: center;
        margin-bottom: 0;
      }
    }

    &--item {
      max-width: 435px;

      @media (max-width: 767px) {
        max-width: 317px;
        margin: 0;
      }
    }
  }

  &__list {
    width: 100%;
  }

  &__item {
    width: 100%;
    display: flex;
    align-items: center;
    padding-bottom: 50px;


    @media (max-width: 767px) {
      flex-direction: column;
    }
  }

  &__name {
    font-weight: 700;
    font-size: 30px;
    line-height: 125%;
    color: #FFFFFF;
    margin: 0 0 30px;

    @media (max-width: 767px) {
      font-size: 24px;
      margin: 0 0 25px;
    }

    @media (min-width: 1024px) {
      font-size: 36px;
      line-height: 45px;
    }
  }

  &__left,
  &__right {
    flex: 0 0 50%;
    max-width: 50%;

    @media (max-width: 767px) {
      flex: 0 0 100%;
      max-width: 100%;
    }
  }

  &__left {
    @media (min-width: 768px) {
      padding-right: 15px;

      img {
        position: relative;
        left: -40px;
      }
    }
  }

  &__right {
    @media (max-width: 767px) {
      text-align: center;
    }

    @media (min-width: 768px) {
      padding-left: 15px;

      p {
        margin-left: 30px;
      }
    }
  }

  &__img {
    @media (max-width: 767px) {
      order: -1;
    }

    img {
      width: 100%;
      height: 100%;
      max-width: 567px;
      max-height: 463px;

      @media (max-width: 767px) {
        max-width: 467px;
        max-height: 382px;
      }

      @media (min-width: 1200px) {
        width: 567px;
        height: 463px;
      }
    }
  }
}
</style>
